package com.atguigu.daijia.driver.service;

import com.atguigu.daijia.model.entity.driver.DriverInfo;
import com.atguigu.daijia.model.form.driver.DriverFaceModelForm;
import com.atguigu.daijia.model.form.driver.UpdateDriverAuthInfoForm;
import com.atguigu.daijia.model.vo.driver.DriverAuthInfoVo;
import com.atguigu.daijia.model.vo.driver.DriverLoginVo;
import com.baomidou.mybatisplus.extension.service.IService;

public interface DriverInfoService extends IService<DriverInfo> {

    /**
     * 小程序司机登录
     *
     * @param code 唯一票据
     * @return openid
     */
    Long login(String code);

    /**
     * 获取司机登录信息
     *
     * @param driverId 司机id
     * @return 司机信息
     */
    DriverLoginVo getDriverInfo(Long driverId);

    /**
     * 获取司机认证信息
     *
     * @param driverId 司机id
     * @return 司机认证信息
     */
    DriverAuthInfoVo getDriverAuthInfo(Long driverId);

    /**
     * 更新司机认证信息
     *
     * @param updateDriverAuthInfoForm 更新司机认证信息表单
     * @return 是否成功
     */
    Boolean updateDriverAuthInfo(UpdateDriverAuthInfoForm updateDriverAuthInfoForm);
    
    /**
     * 创建司机人脸模型
     *
     * @param driverFaceModelForm 司机人脸模型
     */
    Boolean creatDriverFaceModel(DriverFaceModelForm driverFaceModelForm);

}
